package com.jxml.quick.examples.href2;

import java.io.*;
import java.util.*;
import com.jxml.protocol.*;
import com.jxml.quick.*;

// Import classes for the SAX Parser
import org.xml.sax.*;

public class Main
{
    public static void main(String[] args)
    {
	try
	    {
		Protocol.addJXMLProtocolPackage();
		QDoc schema=CreateTest.createSchema();

		ArrayList root=new ArrayList();		   // create object structure
		root.add(root);

		QDoc doc=Quick.createDoc("file:text.xml",root,schema);
		System.out.println(Quick.express(doc));			   // display structure as XML
	    } 
	catch (Exception e)
	    {
		QPE.display(e);
	    }
    }
}
